{
  "name": "token-creator.cm",
  "version": "0.0.2",
  "type": "module",
  "scripts": {
    "build": "yarn build:files && yarn pack:all",
    "build:files": "yarn clean && tsc -p tsconfig.build.json && NODE_ENV=production ./scripts/build.sh",
    "start": "node src/offchain/index.js",
    "test": "vitest run",
    "test:watch": "vitest",
    "test:coverage": "vitest run --coverage",
    "pack:all": "yarn pack:cweb && yarn pack:yarn",
    "pack:cweb": "NODE_NO_WARNINGS=1 cweb-tool pack . dist/out ../../.cweb-config/cweb-pack.yaml",
    "pack:yarn": "cd dist/out && touch yarn.lock && yarn pack -o my-contract-module.tgz",
    "prepare-for-package": "./scripts/make-call.sh",
    "call-contract": "yarn call-contract:prepare && yarn call-contract:invoke",
    "call-contract:prepare": "./scripts/make-single-call.sh",
    "call-contract:invoke": "cweb-tool call deploy/calls.yaml ../../.cweb-config/mnemonic.txt DEVNET_L1A https://api-devnet.coinweb.io/wallet",
    "clean": "rm -rf cweb_dist dist .calls.yaml",
    "typecheck": "tsc --noEmit"
  },
  "dependencies": {
    "@coinweb/contract-kit": "^0.0.28",
    "@coinweb/self-register": "^0.0.28",
    "@coinweb/wallet-lib": "^0.1.112-esm"
  },
  "main": "dist/out/cweb_dist/offchain/index.js",
  "engines": {
    "cweb_interpreter": "a59bfe9f094338753e18fe1ddf35ea3359a8a97f75c24418b1822c69770337ea"
  },
  "devDependencies": {
    "@babel/cli": "^7.23.9",
    "@babel/core": "^7.24.0",
    "@babel/node": "^7.23.9",
    "@babel/plugin-syntax-bigint": "^7.8.3",
    "@babel/preset-env": "^7.24.0",
    "@coinweb/cweb-tool": "1.0.32",
    "@types/lodash.isequal": "^4.5.8",
    "@types/node": "^20.11.28",
    "babel-plugin-extract-text": "^2.0.0",
    "babel-plugin-transform-bigint-to-jsbi": "^1.0.3",
    "babelify": "^10.0.0",
    "esbuild": "^0.20.2",
    "js-yaml": "^4.1.0",
    "jsbi": "^4.3.0",
    "lodash.isequal": "^4.5.0",
    "replace": "^1.2.2",
    "typescript": "^5.4.2",
    "vitest": "^1.4.0",
    "write-yaml-file": "^5.0.0"
  }
}
